id: 242
createTime: 2025-05-08T17:58:53.565601489Z
name: nodejsApp_Source_test-app-nihil19-tech-discovery
kind: tech-discovery
addon: tech-discovery
extensions:
    - java
state: Succeeded
data:
    mode:
        discovery: true
        withDeps: true
    rules:
        labels:
            included:
                - discovery
    tagger:
        enabled: true
        source: tech-discovery
application:
    id: 83
    name: nodejsApp_Source_test-app-nihil19
bucket:
    id: 347
    name: ""
started: 2025-05-08T17:58:58.213476677Z
terminated: 2025-05-08T18:00:55.511371363Z
events:
    - kind: AddonSelected
      count: 1
      last: 2025-05-08T17:58:53.841964079Z
    - kind: ExtensionSelected
      count: 1
      reason: java
      last: 2025-05-08T17:58:53.853518279Z
    - kind: Postponed
      count: 4
      reason: Rule:Dependency matched:242, other:241
      last: 2025-05-08T17:58:57.125493839Z
    - kind: PodCreated
      count: 1
      reason: openshift-mta/task-242-cxmvb
      last: 2025-05-08T17:58:58.26461124Z
    - kind: PodPending
      count: 4
      reason: ContainerCreating
      last: 2025-05-08T17:59:00.362033193Z
    - kind: PodRunning
      count: 17
      last: 2025-05-08T17:59:18.591155063Z
    - kind: PodSucceeded
      count: 1
      last: 2025-05-08T17:59:18.591156445Z
    - kind: ContainerKilled
      count: 1
      reason: 'container: ''java'' had not terminated.'
      last: 2025-05-08T17:59:18.702598657Z
    - kind: PodDeleted
      count: 1
      last: 2025-05-08T18:00:55.511241089Z
errors:
    - severity: Error
      description: '[Analyzer] technology-usage.security-03600: open : no such file or directory'
    - severity: Error
      description: '[Analyzer] technology-usage.apm-00001: open : no such file or directory'
    - severity: Error
      description: '[Analyzer] technology-usage.configuration-management-0100: open : no such file or directory'
    - severity: Error
      description: '[Analyzer] technology-usage.database-03000: open : no such file or directory'
    - severity: Error
      description: '[Analyzer] technology-usage.embedded-framework-08200: open : no such file or directory'
    - severity: Error
      description: '[Analyzer] technology-usage.embedded-framework-08300: open : no such file or directory'
    - severity: Error
      description: '[Analyzer] technology-usage.embedded-framework-08400: open : no such file or directory'
    - severity: Error
      description: '[Analyzer] technology-usage.embedded-framework-08800: open : no such file or directory'
    - severity: Error
      description: '[Analyzer] technology-usage.embedded-cache-libraries-15000: open : no such file or directory'
    - severity: Error
      description: '[Analyzer] technology-usage.embedded-framework-08500: open : no such file or directory'
    - severity: Error
      description: '[Analyzer] technology-usage.mvc-01220: open : no such file or directory'
    - severity: Error
      description: '[Analyzer] technology-usage.observability-0100: open : no such file or directory'
    - severity: Error
      description: '[Analyzer] technology-usage.apm-00000: open : no such file or directory'
    - severity: Error
      description: '[Analyzer] technology-usage.apm-00002: open : no such file or directory'
activity:
    - 'OptDir:    /addon/opt'
    - 'SharedDir: /shared'
    - 'CacheDir:  /cache'
    - 'SourceDir: /shared/source'
    - 'RuleDir:   /addon/rules'
    - 'BinDir:    /shared/bin'
    - 'M2Dir:     /cache/m2'
    - Fetching application.
    - '[CMD] Running: /usr/bin/ssh-agent -a /tmp/agent.1'
    - '[CMD] /usr/bin/ssh-agent succeeded.'
    - '[SSH] Agent started.'
    - '[GIT] Cloning: https://github.com/konveyor/analyzer-lsp'
    - '[FILE] Created /addon/.gitconfig.'
    - '[CMD] Running: /usr/bin/git clone --depth 1 https://github.com/konveyor/analyzer-lsp /shared/source/analyzer-lsp'
    - '[CMD] /usr/bin/git succeeded.'
    - '[RULESET] fetching: id=1 (.discovery)'
    - '[RULESET] fetching: id=20 (.technology-usage)'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/1/rules /addon/rules/rulesets/1/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/20/rules /addon/rules/rulesets/20/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/local/bin/konveyor-analyzer --provider-settings /addon/opt/settings.yaml --output-file /addon/issues.yaml --rules /addon/rules/rulesets/1/rules --rules /addon/rules/rulesets/20/rules --label-selector discovery --dep-label-selector !konveyor.io/dep-source=open-source'
    - '[CMD] /usr/local/bin/konveyor-analyzer succeeded.'
    - '[TAG] Tagging Application 83.'
    - Done.
attached:
    - id: 2225
      name: ssh-agent.output
      activity: 9
    - id: 2226
      name: git.output
      activity: 14
    - id: 2229
      name: windup-shim.output
      activity: 18
    - id: 2230
      name: windup-shim.output
      activity: 20
    - id: 2231
      name: settings.yaml
      activity: 21
    - id: 2232
      name: konveyor-analyzer.output
      activity: 22
    - id: 2227
      name: addon.log
    - id: 2228
      name: java.log
    - id: 2240
      name: pod.yaml
